<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link rel="stylesheet" href="style.css" />
    <title>Chatbot</title>
</head>

<body>
    <main class="main-section">
        <section>
            <div class="outer-box openBot" id="outer-box">
                <button class="pop-close-btn" onclick="closeFunction()" style="cursor: pointer;">
                    <i class="fas fa-times"></i>
                </button>

                <div class="heading-bg">
                    <div class="heading-text">
                        <h1>IRIS</h1>
                        <h2>Hello 👋</h2>
                        <p>I am Iris, a Virtual Assistant</p>
                        <p>How may I help you</p>
                    </div>

                    <div class="">
                        <i class="fas fa-robot icon" aria-hidden="true"></i>
                    </div>
                </div>

                <div class="question-bg">
                    <div class="question-heading">
                        <p>
                            Frequently Asked Question
                            <i class="fas fa-question" style="color: red" aria-hidden="true"></i>
                        </p>
                    </div>
                    <!-- <div class="question-heading">
                  <p>Frequently Asked Question</p>
                  <div class="question-icon">
                    <i class="fas fa-question" aria-hidden="true"></i>
                  </div>
                </div> -->

                    <div class="single-question-box question1 question1-animation">
                        <div class="question-icon">
                            <i class="fas fa-circle" aria-hidden="true"></i>
                        </div>
                        <p>Can I redeem my FB before the original term?</p>
                    </div>
                    <div class="single-question-box question2 question2-animation">
                        <div class="question-icon">
                            <i class="fas fa-circle" aria-hidden="true"></i>
                        </div>
                        <p>How do I pay my Credit card bill?</p>
                    </div>
                    <div class="single-question-box question3 question3-animation">
                        <div class="question-icon">
                            <i class="fas fa-circle" aria-hidden="true"></i>
                        </div>
                        <p>How can I get my Account Statement?</p>
                    </div>
                    <div class="single-question-box question4 question4-animation">
                        <div class="question-icon">
                            <i class="fas fa-circle" aria-hidden="true"></i>
                        </div>
                        <p>what is the tenure of fixed Deposit?</p>
                    </div>
                    <div>
                        <button class="question-btn">
                            <i class="fas fa-comments" aria-hidden="true"></i> Start a New
                            Conversation
                        </button>
                    </div>
                </div>
            </div>
        </section>
        <form>
            <input type="submit" class="refresh-btn" value="Refresh" id="refresh" onclick="refresh()" />
        </form>
        <button type="submit" class="popup-open-btn" id="popup-open-btn" onclick="myFunction()">
            <i class="fas fa-robot" aria-hidden="true"></i>
            Ask me
        </button>
    </main>
    <script>
        function myFunction(e) {
            let pop = document.getElementById('outer-box');
            pop.classList.remove("fade-out");
            pop.classList.add("fade-in");
            pop.style.display = "block";
            let elems = document.getElementsByClassName('single-question-box');

            function questionBtn(i) {
                setTimeout(() => {
                    let questbtn = document.getElementsByClassName('question-btn')[0];
                    questbtn.className = "question-btn show";
                    console.log("Deep", questbtn);
                }, 2000)
            }

            for (let i = 1; i <= elems.length; i++) {
                setTimeout(() => {
                    console.log("Elemss11", elems[i - 1].className);
                    let cls = elems[i - 1].className + " show";
                    elems[i - 1].className = cls;
                    if (i === elems.length) {
                        questionBtn(i + 1)
                    }
                }, 2000 * (i))
            }
            let btn = document.getElementById("popup-open-btn");
            btn.style.display = "none";
        }
        function closeFunction(e) {
            let pop = document.getElementById('outer-box');
            pop.classList.remove("fade-in");
            pop.classList.add("fade-out");
            setTimeout(() => {
                pop.style.display = "none";
            }, 5000)
            let btn = document.getElementById("popup-open-btn");
            btn.style.display = "block";

        }

        function refresh() {
            history.go(0);
        }
    </script>
    <script defer src="https://use.fontawesome.com/releases/v5.15.4/js/all.js"
        integrity="sha384-rOA1PnstxnOBLzCLMcre8ybwbTmemjzdNlILg8O7z1lUkLXozs4DHonlDtnE7fpc"
        crossorigin="anonymous"></script>
</body>

</html>